//---------------------------------------------------------------
// GESTIONE ALBERATURA DELLA TABLE OF CONTENTS
//---------------------------------------------------------------

//INIZIO Posizionamento automatico Toc:  PAT
var pat_csi_tocIndice=0;
var pat_csi_itemScritti=0;
var pat_csi_pos=0;
var pat_csi_posizioni = new Array();
//FINE  Posizionamento automatico Toc: PAT

//-----------------
// RESOURCE
//-----------------

function RESOURCE(name) {
  this.name = name;
}


//-----------------
// TOC
//-----------------

function TOC(name) {
  this.name = name;
  this.groups = new Array();
  this.isInited = false;
  this.init = TOC_init;
  this.refresh = TOC_refresh;
  this.write = TOC_write;
  this.writeHelp = TOC_writeHelp;
  this.addGroup = TOC_addGroup;
  this.groupToggleOpened = TOC_groupToggleOpened;
  this.groupSetVisible = TOC_groupSetVisible;
  this.layerToggleVisible = TOC_layerToggleVisible;
  this.layerSetActive = TOC_layerSetActive;
}

function TOC_init() {
	//Inizio Posizionamento automatico Toc
	pat_csi_tocIndice=0;
	pat_csi_itemScritti=0;
	//Fine Posizionamento automatico Toc
	for (var g=0; g<this.groups.length; g++) {
    for (var l=0; l<this.groups[g].layers.length; l++) {
      var lyr = this.groups[g].layers[l];
      if (lyr.index < 0) {
        lyr.index = getLayerIndexByName(lyr.name);
      }
    }
  }
  this.isInited = true;
}

function getLayerIndexByName(name) {
  for (var i=0; i<LayerName.length; i++) {
    if (LayerName[i] == name)
      return i;
  }
  if (debugOn > 0)
    alert("Errore in aimsToc.js getLayerIndexByName().\nNon è possibile acquisire l\'id del layer '" + name + "'.  Verificare come sono definiti i layer.");
  return -1;
}

// INIZIO Posizionamento automatico Toc: PAT
// Il parametro  pat_csi_indiceFocus identifica la voce selezionata nella Toc.
// Questa funzione permette di effettuare il refresh della Toc e di posizionare la scrollbar in modo tale da
// rendere visibile il layer selezionato dall'utente.
// Il parametro specifica l'indice dell'elemento selzionato nella Toc.
function TOC_refresh(pat_csi_indiceFocus) {
  //ricerca della posizione effettiva del componente su cui fare il focus
  //in rapporto agli elementi effettivamente presenti nella Toc

//alert('Indice: '+pat_csi_indiceFocus);

  for(i=1;i<pat_csi_posizioni.length;i++){
     if (pat_csi_posizioni[i] == pat_csi_indiceFocus){
         pat_csi_pos = i;
      }
    }

//alert('pos: '+ pat_csi_pos + ' ; i= ' + i);


  pat_csi_new_location=new String(""+parent.TOCFrame.document.location);
  if (pat_csi_new_location.indexOf("?pat_csi_indiceFocus=")!=-1) {
    pat_csi_new_location=pat_csi_new_location.substr(0,pat_csi_new_location.indexOf("?"));

	//alert ('pat '+pat_csi_new_location);

  }
  //alert ('indiceFocus in aimsToc: '+pat_csi_indiceFocus);


//alert('Tot: '+pat_csi_posizioni.length);


  if (pat_csi_pos<=pat_csi_posizioni.length-7){
//  if (pat_csi_pos<pat_csi_posizioni.length){
    //alert('in posizione pos+7: '+pat_csi_posizioni[pat_csi_pos+7]);
    pat_csi_new_location=pat_csi_new_location+"?pat_csi_indiceFocus="+pat_csi_posizioni[pat_csi_pos+7]

//	alert('Num sommato: '+ (pat_csi_pos +7) +' = ' +pat_csi_posizioni[pat_csi_pos+7]);

  }
  else {
    //alert('maggiore uso pos: '+pat_csi_pos);
    pat_csi_new_location=pat_csi_new_location+"?pat_csi_indiceFocus="+pat_csi_posizioni[pat_csi_pos]

//	alert('Num normale: '+pat_csi_posizioni[pat_csi_pos]);

  }





  //parent.TOCFrame.document.location.reload();
  parent.TOCFrame.document.location=pat_csi_new_location;
}
// FINE Posizionamento automatico Toc: PAT

function TOC_write(doc) {
	//Inizio Posizionemento automatico Toc:PAT
	pat_csi_tocIndice=0;
	pat_csi_itemScritti=0;
	//Fine Posizionemento automatico Toc: PAT
	if (!this.isInited)
    	this.init();
	//doc.writeln("<br><br><CENTER><P CLASS='LayerListTitle'>" + tocResource.stringTitle + "<BR><BR>");
	//INIZIO - Baco ResizeToc : GeDeONE 1.2.0.
	//doc.writeln("<TABLE WIDTH='100%'  border=0 CELLSPACING='0' CELLPADDING='0'>");
	doc.writeln("<TABLE WIDTH='91%' bgcolor='#FFFFFF' border=0 CELLSPACING='0' CELLPADDING='0' nowrap style='border-left: 0px solid #000000; border-right: 0px solid #000000'>");
	//FINE - Baco ResizeToc : GeDeONE 1.2.0.

	for (var g=0; g<this.groups.length; g++) {
		this.groups[g].write(doc);
	}

	doc.writeln("</TABLE><BR></CENTER>");
	//Inizio Posizionemento automatico Toc:PAT
	doc.all.pat_csi_elementiToc.value=pat_csi_itemScritti; //totale elementi scritti nella Toc
	doc.all.pat_csi_posizioneToc.value=pat_csi_pos;//posizione nella Toc dell'elemento posizionato
	doc.all.pat_csi_indicePos.value=pat_csi_posizioni[pat_csi_pos];//nome dell'elemento nella toc.
	//Fine Posizionemento automatico Toc:PAT
}



// Mostra la legenda di Help per le icone della TOC
function TOC_writeHelp(doc) {

//  window.open('legenda.htm','Help','width=270,height=560');

//  doc.writeln("<BR><BR><CENTER>Help:<BR><DIV  CLASS='LayerListHelp' ALIGN='left' NOWRAP>");
//  doc.writeln("<IMG SRC='" + tocResource.iconPath + tocResource.iconClosed + "'> A closed group, click to open.<BR>");
//  doc.writeln("<IMG SRC='" + tocResource.iconPath + tocResource.iconOpened + "'> An open group, click to close.<BR>");
//  doc.writeln("<IMG SRC='" + tocResource.iconPath + tocResource.iconChild + "'> A layer contained within a group.<BR>");
//  doc.writeln("<IMG SRC='" + tocResource.iconPath + tocResource.iconHidden + "'> A hidden group/layer, click to make visible.<BR>");
//  doc.writeln("<IMG SRC='" + tocResource.iconPath + tocResource.iconVisible + "'> A visible group/layer, click to hide.<BR>");
//  doc.writeln("<IMG SRC='" + tocResource.iconPath + tocResource.iconVisscale + "'> A visible layer, but not at this scale.<BR>");
//  doc.writeln("<IMG SRC='" + tocResource.iconPath + tocResource.iconTristate + "'> A partially visible group, click to make visible.<BR>");
//  doc.writeln("<IMG SRC='" + tocResource.iconPath + tocResource.iconInactive + "'> An inactive layer, click to make active.<BR>");
//  doc.writeln("<IMG SRC='" + tocResource.iconPath + tocResource.iconActive + "'> The active layer.<BR>");
//  if (displayLayerInfoButton)
//	doc.writeln("<IMG SRC='" + tocResource.iconPath + tocResource.iconInfo + "'> Display information about a layer.<BR>");
//  doc.writeln("</DIV></CENTER>");
}

function TOC_addGroup(group) {
  group.parent = this;
  group.index = this.groups.length;
  this.groups[group.index] = group;
  return group;
}


//Inizio Posizionamento automatico Toc :PAT
// Il parametro aggiunto specifica l'indice dell'elemento selezionato nella Toc,è utilizzato per la refresh della Toc
function TOC_groupToggleOpened(index,pat_csi_indiceFocus) {
   	this.groups[index].opened = !this.groups[index].opened;
	this.refresh(pat_csi_indiceFocus);
}
//Fine Posizionamento automatico Toc:PAT

//Inizio Posizionamento automatico Toc :PAT
// Il parametro aggiunto specifica l'indice dell'elemento selezionato nella Toc,è utilizzato per la refresh della Toc
function TOC_groupSetVisible(index,value,pat_csi_indiceFocus) {
  for (var l=0; l<this.groups[index].layers.length; l++)
    LayerVisible[this.groups[index].layers[l].index] = value;
  this.refresh(pat_csi_indiceFocus);
}
//Fine Posizionamento automatico Toc:PAT

//Inizio Posizionamento automatico Toc :PAT
// Il parametro aggiunto specifica l'indice dell'elemento selezionato nella Toc,è utilizzato per la refresh della Toc
function TOC_layerToggleVisible(index,pat_csi_indiceFocus) {
  LayerVisible[index] = 1 - LayerVisible[index];
  this.refresh(pat_csi_indiceFocus);
}
//Fine Posizionamento automatico Toc:PAT

//Inizio Posizionamento automatico Toc :PAT
// Il parametro aggiunto specifica l'indice dell'elemento selezionato nella Toc,è utilizzato per la refresh della Toc
function TOC_layerSetActive(index,pat_csi_indiceFocus) {
  setActiveLayer(index);
  //INIZIO LAYER QUERY: laq
  //Vengono eliminati gli "oggetti evidenziati" presenti
  //in aimsSelect quando viene cambiato nella TOC il layer
  //attivo. Non viene fatto quando si effettua la ricerca
  //dell'ID passato via URL con GRP all'interno dei layer
  if (laq_csi_useZoomGRP == false)
  	{
  top.MapFrame.highlightedOne = "";
  	}
  //FINE LAYER QUERY

  var isOk = checkHyperLinkLayer(index);
  if (toolMode==15) {
    if (!isOk) {
      currentHyperLinkLayer="";
      currentHyperLinkField="";
      currentHyperLinkPrefix="";
      currentHyperLinkSuffix="";
       //Inizio Personalizza BDAE
      currentHyperLinkSemplice="";
       //Fine Personalizza BDAE
      alert("This layer does not have any Hyperlinks.");
    }
  }
  this.refresh(pat_csi_indiceFocus);
}
//fine Posizionamento automatico Toc:PAT


//-----------------
// GROUP
//-----------------

function GROUP(name,opened) {
  this.parent = null;
  this.index = -1;
  this.name = name;
  this.opened = opened;
  this.layers = new Array();
  this.write = GROUP_write;
  this.addLayer = GROUP_addLayer;
}


function GROUP_write(doc) {

  if (this.layers.length > 1) {
    doc.write("<TR bgcolor='#FFFFFF' HEIGHT='" + tocResource.imageHeight + "'>");

	// INIZIO  Posizionamento automatico Toc: PAT
    pat_csi_tocIndice++;
    pat_csi_itemScritti++;
    pat_csi_posizioni[pat_csi_itemScritti]=pat_csi_tocIndice;
	//alert(pat_csi_tocIndice+"-"+this.name);
	// FINE Posizionamento automatico Toc: PAT

    if (this.opened)
		//Inizio NewToc : NTO e posizionamento automatico Toc:PAT
		//doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG SRC='" + tocResource.iconPath + tocResource.iconOpened + "' onclick='t.toc.groupToggleOpened(" + this.index + ");'></TD>");
      	doc.write("<TD WIDTH='" + tocResource.imageWidth + "' class=\"tdprimo\"><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconOpened + "' onclick='t.toc[t.toc_csi_tocIndex].groupToggleOpened(" + this.index + ","+pat_csi_tocIndice+");'></TD>");
		// Fine NewToc : NTO e posizionamento automatico Toc:PAT
    else
		//Inizio NewToc : NTO e posizionamento automatico Toc:PAT
		//doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG SRC='" + tocResource.iconPath + tocResource.iconClosed + "' onclick='t.toc.groupToggleOpened(" + this.index + ");'></TD>");
      	doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconClosed + "' onclick='t.toc[t.toc_csi_tocIndex].groupToggleOpened(" + this.index + ","+pat_csi_tocIndice+");'></TD>");
		// Fine NewToc : NTO e posizionamento automatico Toc:PAT

    var count = 0;
    for (var l=0; l<this.layers.length; l++)
      if (LayerVisible[this.layers[l].index])
        count = count + 1;

	// NESSUN layer interno al gruppo è stato selezionato
    if (count == 0) {
		//Inizio NewToc : NTO e posizionamento automatico Toc:PAT
		//doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG SRC='" + tocResource.iconPath + tocResource.iconHidden + "' onclick='t.toc.groupSetVisible(" + this.index + ",1);'></TD>");
//      doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconHidden + "' onclick='t.toc[t.toc_csi_tocIndex].groupSetVisible(" + this.index + ",1,"+pat_csi_tocIndice+");'></TD>");

		doc.write('<TD width="80" height="23">');
		doc.write('<input type="checkbox" name="a_'+pat_csi_tocIndice+'" ID="a_'+pat_csi_tocIndice+'" TABINDEX="'+pat_csi_tocIndice+'" onClick="t.toc[t.toc_csi_tocIndex].groupSetVisible(' + this.index + ',1,'+pat_csi_tocIndice+');" unchecked style="width: 20px; height: 20px; border: 0px">');
		doc.write('</TD>');

		// Fine NewToc : NTO e posizionamento automatico Toc:PAT

	}
	// TUTTI i layer interni al gruppo sono stati selezionati
    else if (count == this.layers.length){
		//Inizio NewToc : NTO e posizionamento automatico Toc:PAT
		//doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG SRC='" + tocResource.iconPath + tocResource.iconVisible + "' onclick='t.toc.groupSetVisible(" + this.index + ",0);'></TD>");
//      doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconVisible + "' onclick='t.toc[t.toc_csi_tocIndex].groupSetVisible(" + this.index + ",0,"+pat_csi_tocIndice+");'></TD>");

		doc.write('<TD width="80" height="23">');
		doc.write('<input type="checkbox" name="a_'+pat_csi_tocIndice+'" ID="a_'+pat_csi_tocIndice+'" TABINDEX="'+pat_csi_tocIndice+'" onClick="t.toc[t.toc_csi_tocIndex].groupSetVisible(' + this.index + ',0,'+pat_csi_tocIndice+');" checked style="width: 20px; height: 20px; border: 0px">');
		doc.write('</TD>');

		//Fine NewToc : NTO e posizionamento automatico Toc:PAT
	  }

	// solo PARTE dei layer interni al gruppo sono stati selezionati
    else {
		//Inizio NewToc : NTO e posizionamento automatico Toc:PAT
		//doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG SRC='" + tocResource.iconPath + tocResource.iconTristate + "' onclick='t.toc.groupSetVisible(" + this.index + ",1);'></TD>");
//      doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconTristate + "' onclick='t.toc[t.toc_csi_tocIndex].groupSetVisible(" + this.index + ",1,"+pat_csi_tocIndice+");'></TD>");

		doc.write('<TD width="80" height="23">');
		doc.write('<input type="checkbox" name="a_'+pat_csi_tocIndice+'" ID="a_'+pat_csi_tocIndice+'" TABINDEX="'+pat_csi_tocIndice+'" onClick="t.toc[t.toc_csi_tocIndex].groupSetVisible(' + this.index + ',1,'+pat_csi_tocIndice+');" checked style="width: 20px; height: 20px; border: 0px">');
		doc.write('</TD>');

		//Fine NewToc : NTO e posizionamento automatico Toc:PAT
	}

//    doc.write("<TD class=toc_title COLSPAN='testo10black'>" + this.name + "  ("+count+"/"+this.layers.length+")</TD>");
    doc.write("<TD width='40'></TD><TD class='testo10black'>" + this.name + "  ("+count+"/"+this.layers.length+")</TD>");
    doc.writeln("</TR>");
  }

  if ((this.opened) || (this.layers.length==1))
    for (var l=0; l<this.layers.length; l++){
      var ultimo = false;
      if(l==(this.layers.length - 1) && l>0)
         ultimo=true;
      this.layers[l].write(doc,ultimo);
    }
  else
   //INIZIO Posizionamento automatico Toc: PAT
    for (var l=0; l<this.layers.length; l++) {
    pat_csi_tocIndice++;
  }
  //FINE Posizionamento automatico Toc: PAT

  if (tocResource.groupSpacing > 0) {
    doc.write("<TR HEIGHT='" + tocResource.groupSpacing + "'><TD>");
    doc.write("<IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconPixel + "' WIDTH='" + tocResource.groupSpacing + "'>");
    doc.writeln("</TD></TR>");
  }
}


function GROUP_addLayer(layer) {
  layer.parent = this;
  this.layers[this.layers.length] = layer;
  return layer;
}


//-----------------
// LAYER
//-----------------

function LAYER(name) {
  this.parent = null;
  this.name = name;
  this.index = -1;
  this.write = LAYER_write;
}

function LAYER_write(doc,ultimo_layer) {

  var ActiveStyle = "testo10black"

  doc.write("<TR bgcolor='#FFFFFF' HEIGHT='" + tocResource.imageHeight + "'>");

  //INIZIO Posizionamento automatico Toc: PAT
  pat_csi_tocIndice++;
  pat_csi_itemScritti++;
  pat_csi_posizioni[pat_csi_itemScritti]=pat_csi_tocIndice;
  //alert(pat_csi_tocIndice+"-"+this.name);
  //FINE Posizionamento automatico Toc: PAT

  // Imposta l'icona di espansione dell'albero se occorre
  if (this.parent.layers.length==1) {
    //doc.write("<TD>&nbsp;</TD>");
    doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconBlank + "'></TD>");
  } else {
      if(ultimo_layer)
       doc.write("<TD WIDTH='" + tocResource.imageWidth + "' class=\"tdultimo\"><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC=\"./images/pixel.gif\" width=\"20\"></TD>");
     else
       doc.write("<TD WIDTH='" + tocResource.imageWidth + "' class=\"tdcentro\"><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC=\"./images/pixel.gif\" width=\"20\"></TD>");
  }

  // Disegna la check box per la selezione del Layer da visualizzare
  if (LayerVisible[this.index])
    if ((mapScaleFactor>=LayerMinScale[this.index]) && (mapScaleFactor<=LayerMaxScale[this.index]))
	{
      // Inizio NewToc : NTO e posizionamento automatico Toc:PAT
//      doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconVisible + "' onclick='t.toc[t.toc_csi_tocIndex].layerToggleVisible(" + this.index + ","+pat_csi_tocIndice+");'></TD>");

		doc.write('<TD>');
		doc.write('<input type="checkbox" name="a_'+pat_csi_tocIndice+'" ID="a_'+pat_csi_tocIndice+'" TABINDEX="'+pat_csi_tocIndice+'" onClick="t.toc[t.toc_csi_tocIndex].layerToggleVisible(' + this.index + ','+pat_csi_tocIndice+');" checked style="border: 0px">');
		doc.write('</TD>');

      //doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG SRC='" + tocResource.iconPath + tocResource.iconVisible + "' onclick='t.toc.layerToggleVisible(" + this.index + ");'></TD>");
	  //Fine NewToc : NTO e posizionamento automatico Toc:PAT
	 }
    else  // impostazione di visibilità su scala diversa
	{
		//Inizio NewToc : NTO e posizionamento automatico Toc:PAT
      	//doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG SRC='" + tocResource.iconPath + tocResource.iconVisscale + "' onclick='t.toc.layerToggleVisible(" + this.index + ");'></TD>");
      	doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconVisscale + "' onclick='t.toc[t.toc_csi_tocIndex].layerToggleVisible(" + this.index + ","+pat_csi_tocIndice+");'></TD>");
		//Fine NewToc : NTO e posizionamento automatico Toc:PAT
	}
  else
  {
	//Inizio NewToc : NTO e posizionamento automatico Toc:PAT
    //doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG SRC='" + tocResource.iconPath + tocResource.iconHidden + "' onclick='t.toc.layerToggleVisible(" + this.index + ");'></TD>");
//    doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconHidden + "' onclick='t.toc[t.toc_csi_tocIndex].layerToggleVisible(" + this.index + ","+pat_csi_tocIndice+");'></TD>");

	doc.write('<TD>');
	doc.write('<input type="checkbox" name="a_'+pat_csi_tocIndice+'" ID="a_'+pat_csi_tocIndice+'" TABINDEX="'+pat_csi_tocIndice+'" onClick="t.toc[t.toc_csi_tocIndex].layerToggleVisible(' + this.index + ','+pat_csi_tocIndice+');" unchecked style="width: 20px; height: 20px; border: 0px">');
	doc.write('</TD>');

	// Fine NewToc : NTO e posizionamento automatico Toc:PAT

  }


  // Disegna la option box per la selezione del Layer attivo
  if (LayerIsFeature[this.index])
    if (ActiveLayerIndex == this.index)  {
//      doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconActive + "'></TD>");

		doc.write('<TD width="20">');
      	doc.write('<input type="radio" name="a_'+pat_csi_tocIndice+'" ID="a_'+pat_csi_tocIndice+'" TABINDEX="'+pat_csi_tocIndice+'" checked value="radioValue" style="width: 20px; height: 20px; border: 0px">');
		doc.write('</TD>');

	    ActiveStyle = "toc_title"
	}
    else {
		//Inizio NewToc : NTO e posizionamento automatico Toc:PAT
      	//doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG SRC='" + tocResource.iconPath + tocResource.iconInactive + "' onclick='t.toc.layerSetActive(" + this.index + ");'></TD>");
//      	doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconInactive + "' onclick='t.toc[t.toc_csi_tocIndex].layerSetActive(" + this.index + ","+pat_csi_tocIndice+");'></TD>");

		//INIZIO BACO EDITING 2.0
      	//Se si è premuto un tasto dell'editing e si cambia il layer attivo devono essere aggiornate le variabili booleane usate in editing
		doc.write('<TD width="20">');
      	doc.write('<input type="radio" name="a_'+pat_csi_tocIndice+'" ID="a_'+pat_csi_tocIndice+'" TABINDEX="'+pat_csi_tocIndice+'" unchecked value="radioValue" style="width: 20px; height: 20px; border: 0px" onclick="t.toc[t.toc_csi_tocIndex].layerSetActive(' + this.index + ','+pat_csi_tocIndice+'); t.clickFunction(\'zoomin\'); parent.ToolFrame.setToolPic(\'Zoom In\'); t.ed_b_press_clear=false; t.ed_b_press_modify=false; ">');
		doc.write('</TD>');
      	//FINE BACO EDITING 2.0

		ActiveStyle = "testo10black"

		//Fine NewToc : NTO e posizionamento automatico Toc:PAT
	}
  else
    doc.write("<TD WIDTH='" + tocResource.imageWidth + "'>&nbsp;</TD>");



  //INIZIO - Baco ResizeToc : GeDeONE 1.2.0.
  //doc.write("<TD class=toc>" + this.name + "</TD>");
  doc.write("<TD class=" + ActiveStyle + " align='left' width='336'>" + this.name + "</TD>");
  //FINE - Baco ResizeToc : GeDeONE 1.2.0.



  if (displayLayerInfoButton)
    doc.write("<TD WIDTH='" + tocResource.imageWidth + "'><IMG NAME='a_"+pat_csi_tocIndice+"' ID='a_"+pat_csi_tocIndice+"' TABINDEX='"+pat_csi_tocIndice+"' SRC='" + tocResource.iconPath + tocResource.iconInfo + "' onClick='showLayerInfo(" + this.index + ")'></TD>");
  else
    doc.write("<TD WIDTH='" + tocResource.imageWidth + "'>&nbsp;</TD>");

  doc.writeln("</TR>");

}

//-----------------
// eof
//-----------------
